Bug 880214 - [AS7] retrieveBackingContent fails for DomainDeployment resource
[AS7] retrieveBackingContent fails for DomainDeployment resource
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.5
Unspecified Unspecified
medium Severity low (vote)
: ---
: RHQ 4.6
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: 855925
  Show dependency treegraph
 
Reported: 2012-11-26 09:18 EST by Heiko W. Rupp
Modified: 2013-08-31 06:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 855925
Environment:
Last Closed: 2013-08-31 06:10:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-11-26 09:18:36 EST
+++ This bug was initially created as a clone of Bug #855925 +++

Created attachment 611476 [details]
Content history

Description of problem: I am not able to retrieveBackingContent for DomainDeployment resource. Moreover .. it says [sha256=null] in Content tab of this resource.


Version-Release number of selected component (if applicable):
JON 3.1.1.CR2

How reproducible:always


Steps to Reproduce:
1. Start AS7 in domain mode
2. create a DomainDeployment child
3. Check UI for deployment resource ID
4. run following in CLI

var res = ProxyFactory.getResource(ID)
res.retrieveBackingContent("/some/path")
  
Actual results:
 in CLI i get:
Wrapped javax.ejb.EJBException: [Warning] java.lang.RuntimeException: Unable to retrieve package bits for resource: 14871 and package: 10241. (<Unknown source>#1)

In content history I see failed package bits retrievial:

java.lang.IllegalStateException: Deployment file seems to have disappeared
	at org.rhq.modules.plugins.jbossas7.DeploymentComponent.retrievePackageBits(DeploymentComponent.java:232)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:634)


See attached screenshot for a conent history

Expected results: package bits are retrieved.

--- Additional comment from Charles Crouch on 2012-09-17 14:57:37 EDT ---

Pushing for consideration in JON312
Should determine if there is any type of timing issue here, and if so return a more appropriate message.

--- Additional comment from Charles Crouch on 2012-11-19 14:36:27 EST ---

Pushing to JBossON product BZ for triage for 312
Comment 1 Heiko W. Rupp 2012-11-26 09:21:07 EST
In the as7 plugin, org.rhq.modules.plugins.jbossas7.DeploymentComponent#deploymentFile is a relative path, and opening the fileinputstream fails because of that.
Comment 2 Heiko W. Rupp 2012-12-03 03:32:04 EST
The relative path in #c1 comes from the fact that there is no /core-service=server-environment available in domain mode. I am faking this now
by adding data/content to the baseDir.

Also for server-groups, we now fall back to using the domain content

master e94ba25
Comment 3 Heiko W. Rupp 2013-08-31 06:10:55 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.